from django.conf.urls.defaults import *
from models import *

lecturer_queryset = Lecturer.objects.all()

urlpatterns = patterns('',
    url(r'^lecturer/$',
        'django.views.generic.list_detail.object_list',
        dict(queryset = lecturer_queryset),
        name = "lecturer_list"),
    url(r'^lecturer/(?P<object_id>\d+)$',
        'django.views.generic.list_detail.object_detail',
        dict(queryset = lecturer_queryset),
        name = "lecturer_details"),

    url(r'^lecturer/new$',
        'django.views.generic.create_update.create_object',
        dict(model = Lecturer),
        name = "lecturer_create"),
    url(r'^lecturer/(?P<object_id>\d+)/edit$',
        'django.views.generic.create_update.update_object',
        dict(model = Lecturer),
        name = "lecturer_update"),
)
